Subject: Re: [#95] Multiple Content-Lengths

From: Mark Nottingham <[email-masked]>
Date: Mon, 21 Feb 2011 18:12:41 +1100

Some more time has passed, and Chrome has recently checked in code that allows dups as well.

So, I propose:

* adding text that allows duplicates explicitly, and

* upgrading the SHOULD to a MUST in this requirement:

   If this is a response message received by a user-agent, it SHOULD be treated
   as an error by discarding the message and closing the connection.

Thoughts?

On 19/10/2010, at 7:11 PM, Maciej Stachowiak wrote:

> 
> I agree with that as well. If there are known exceptions to the rule that we wish to have interoperably implemented, they should be documented. That's so even if the requirement is SHOULD-level, potentially allowing further exceptions.
> 
> Regards,
> Maciej
> 
> On Oct 18, 2010, at 11:28 PM, Mark Nottingham wrote:
> 
>> +1; if we're going to allow duplicates to be ignored, we should be explicit about it, not rely on a SHOULD.
>> 
>> 
>> On 18/10/2010, at 6:29 PM, Willy Tarreau wrote:
>> 
>>> On Mon, Oct 18, 2010 at 09:25:35AM +0200, Julian Reschke wrote:
>>>> On 18.10.2010 05:17, Mark Nottingham wrote:
>>>>> ...
>>>>> I tend to agree, SHOULD vs. MUST here isn't worth a tremendous amount of 
>>>>> time. However, if we get agreement among UA implementers on MUST, that 
>>>>> does seem the way to go.
>>>>> 
>>>>> Julian, have you put in any text about duplicate content-length values yet?
>>>>> ...
>>>> 
>>>> No. We wouldn't need it if we stick with SHOULD, right?
>>> 
>>> The fact that that sometimes happens might cause some browsers to loosen
>>> the check due to negative user feedback. Specifically focusing the control
>>> on different values will help developers satisfy users demand and security
>>> controls.
>>> 
>>> Regards,
>>> Willy
>>> 
>>> 
>> 
>> --
>> Mark Nottingham   http://www.mnot.net/
>> 
>> 
>> 
> 
> 

--
Mark Nottingham   http://www.mnot.net/